import Control.Concurrent (forkIO)
import Codec.Compression.GZip (compress)
import qualified Data.ByteString.Lazy as L

gzip path content = do
	putStrLn ("# gzip " ++ path ++ " begin")
	L.writeFile (path ++ ".gz") . compress $ content
	putStrLn ("# gzip " ++ path ++ " end")

main = do
	putStrLn "Enter a file to compress:"
	name <- getLine
	if null name
		then do
			putStrLn "... quit"
			return ()
		else do
			content <- L.readFile name
			forkIO (gzip name content)
			main
